Contracts
Authorizations
AuthorizationstringRequired
Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired
Query parameters
Statusstring · enumOptionalPossible values:
PartnerIdstringOptional
Responses
200
OK
application/json
get/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contracts
GET /Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contracts HTTP/1.1
Host: api.impact.com
Authorization: Basic username:password
Accept: */*
200
OK
{
"Contracts": [
{
"Id": "S-7777777",
"PartnerId": 10000,
"PartnerValue1": "",
"Status": "ACTIVE",
"StartDate": "2026-01-20T00:00:00-08:00",
"EndDate": "",
"BrandSignatory": "Justin Case",
"BrandSignatoryDate": "2026-01-19T23:51:01-08:00",
"PartnerSignatory": "Partner Person",
"PartnerSignatoryDate": "2026-01-19T23:51:01-08:00",
"DateCreated": "2026-01-19T23:51:01-08:00",
"DateLastUpdated": "2026-01-19T23:51:01-08:00",
"TemplateTerms": {
"TemplateId": 99999,
"VersionId": 6,
"Name": "ACME Public Terms",
"Labels": [
"text"
],
"Currency": "USD",
"EventPayouts": [
{
"EventTypeId": 18500,
"EventTypeName": "Online Sale",
"EventCategory": "SALE",
"DefaultPayoutRate": "15",
"PayoutLevel": "ITEM"
}
]
},
"PdfUri": "/Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777/Download",
"Uri": "/Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777"
}
]
}Authorizations
AuthorizationstringRequired
Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired
ContractIdstringRequired
Responses
200
OK
application/json
IdstringOptionalExample:
The unique identifier for the contract.
S-7777777PartnerIdintegerOptionalExample:
The unique identifier of the partner the contract is with.
10000PartnerValue1stringOptional
A custom value associated with the partner.
Statusstring · enumOptionalExample:
The current status of the contract.
ACTIVEPossible values: StartDatestring · date-timeOptionalExample:
The date and time the contract becomes active.
2026-01-20T00:00:00-08:00EndDatestring · date-time · nullableOptional
The date and time the contract expires. Null for open-ended contracts.
BrandSignatorystringOptionalExample:
The name of the brand representative who signed the contract.
Justin CaseBrandSignatoryDatestring · date-timeOptionalExample:
The date and time the brand signed the contract.
2026-01-19T23:51:01-08:00PartnerSignatorystringOptionalExample:
The name of the partner representative who signed the contract.
Partner PersonPartnerSignatoryDatestring · date-timeOptionalExample:
The date and time the partner signed the contract.
2026-01-19T23:51:01-08:00DateCreatedstring · date-timeOptionalExample:
The date and time the contract was created.
2026-01-19T23:51:01-08:00DateLastUpdatedstring · date-timeOptionalExample:
The date and time the contract was last updated.
2026-01-19T23:51:01-08:00PdfUristring · uri-referenceOptionalExample:
The URI to download the contract as a PDF.
/Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777/DownloadUristring · uri-referenceOptionalExample:
The unique reference to this contract in the impact.com API.
/Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777get/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contracts/{ContractId}
GET /Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contracts/{ContractId} HTTP/1.1
Host: api.impact.com
Authorization: Basic username:password
Accept: */*
200
OK
{
"Id": "S-7777777",
"PartnerId": 10000,
"PartnerValue1": "",
"Status": "ACTIVE",
"StartDate": "2026-01-20T00:00:00-08:00",
"EndDate": "",
"BrandSignatory": "Justin Case",
"BrandSignatoryDate": "2026-01-19T23:51:01-08:00",
"PartnerSignatory": "Partner Person",
"PartnerSignatoryDate": "2026-01-19T23:51:01-08:00",
"DateCreated": "2026-01-19T23:51:01-08:00",
"DateLastUpdated": "2026-01-19T23:51:01-08:00",
"TemplateTerms": {
"TemplateId": 99999,
"VersionId": 6,
"Name": "ACME Public Terms",
"Labels": [
"text"
],
"Currency": "USD",
"EventPayouts": [
{
"EventTypeId": 18500,
"EventTypeName": "Online Sale",
"EventCategory": "SALE",
"DefaultPayoutRate": "15",
"PayoutLevel": "ITEM"
}
]
},
"PdfUri": "/Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777/Download",
"Uri": "/Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777"
}Last updated
